__CLEAR_USER(9)

NAME
__clear_user - Zero a block of memory in user space, with less checking.

SYNOPSIS

unsigned long __clear_user (void __user * to, unsigned long n);

ARGUMENTS

to  Destination address, in user space.

n   Number of bytes to zero.

DESCRIPTION

Zero a block of memory in user space. Caller must check the specified block with access_ok before calling this function.

Returns number of bytes that could not be cleared. On success, this will be zero.